import { CoreAction } from "./interfaces";
export declare class GoogleAnalytics extends CoreAction {
    name: string;
    private _paramMap;
    private _gaParams;
    constructor(callbackResponse?: {
        app_id: string;
        api_no: string;
        call_id: string;
        caller_no: string;
    }, params?: {
        [key: string]: string;
    }, name?: string);
    readonly id: string;
    setGAEvent(action: string, label?: string, category?: string, value?: number): void;
    getGAEvent(): {
        action: any;
        label: any;
        category: any;
        value: number;
    };
    toCCML(): string;
}
