"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var interfaces_1 = require("./interfaces");
var Label = (function (_super) {
    __extends(Label, _super);
    function Label(name) {
        var _this = _super.call(this, {
            type: "LABEL",
            name: name,
            comments: "",
            params: {
                id: "__labelId_" + name + "__",
            }
        }) || this;
        _this.name = name;
        _this._paramMap = {
            id: "id"
        };
        _this.type = interfaces_1.Type.Label;
        return _this;
    }
    Object.defineProperty(Label.prototype, "id", {
        get: function () {
            return this.getParam("id");
        },
        enumerable: true,
        configurable: true
    });
    Label.prototype.toCCML = function () {
        return "<BOOKMARK" + _super.prototype.toCCML.call(this, this._paramMap) + "/>";
    };
    return Label;
}(interfaces_1.CoreAction));
exports.Label = Label;
//# sourceMappingURL=Label.js.map