import { CoreAction } from "./interfaces";
export declare class Play extends CoreAction {
    name: string;
    private _paramMap;
    private _repeat;
    private _parseVars;
    private _injectCCML;
    constructor(url?: string, name?: string);
    readonly id: string;
    repeat: number;
    parseVars: boolean;
    stopOnKey: boolean;
    dtmfDelay: number;
    dtmfDashDelay: number;
    injectCCML: string;
    toCCML(filter?: "sets" | "says"): string;
    private playToCCML(filter?);
    private dtmfToCCML(filter?);
}
