import { CoreAction } from "./interfaces";
export declare enum QueueEvent {
    OFFER = 0,
    POLL = 1,
    POLL_CONNECT = 2,
    REMOVE = 3,
}
export declare const QueueOnEvent: any;
export declare class Queue extends CoreAction {
    private queueName;
    name: string;
    private _paramMap;
    private _holdAudio;
    private _event;
    constructor(queueName?: string, name?: string);
    readonly id: string;
    event: QueueEvent;
    holdAudio: string[] | boolean;
    async: boolean;
    maxCalls: number | undefined;
    toCCML(): string;
}
