"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var interfaces_1 = require("./interfaces");
var Stop = (function (_super) {
    __extends(Stop, _super);
    function Stop(name) {
        if (name === void 0) { name = "action"; }
        var _this = _super.call(this, {
            type: "STOP",
            name: name,
            comments: "",
            params: {
                id: interfaces_1.CoreAction.genId("stop"),
            }
        }) || this;
        _this.name = name;
        _this._paramMap = {
            id: "id"
        };
        _this._actions = "AUDIO";
        _this.type = interfaces_1.Type.Stop;
        return _this;
    }
    Object.defineProperty(Stop.prototype, "id", {
        get: function () {
            return this.getParam("id");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Stop.prototype, "actions", {
        get: function () {
            return this._actions.toUpperCase();
        },
        set: function (actions) {
            this._actions = actions.toUpperCase();
        },
        enumerable: true,
        configurable: true
    });
    Stop.prototype.toCCML = function () {
        var paramStr = _super.prototype.toCCML.call(this, this._paramMap);
        return "<STOPAUDIO" + paramStr + "/>";
    };
    return Stop;
}(interfaces_1.CoreAction));
exports.Stop = Stop;
//# sourceMappingURL=Stop.js.map