import { CoreAction } from "./interfaces";
export declare const WebhookOnEvent: any;
export declare class Webhook extends CoreAction {
    eventName: string;
    name: string;
    private _paramMap;
    private _url;
    private _method;
    private _headers;
    private _contentType;
    private _webhookData;
    private _webhookDataType;
    private _awaitResponse;
    constructor(eventName?: string, name?: string);
    readonly id: string;
    url: string;
    method: string;
    headers: {
        [key: string]: string;
    };
    contentType: string;
    webhookData: any;
    awaitResponse: boolean;
    toCCML(): string;
}
