import { IActionFunctionData } from "./interfaces";
import { IAction } from "../actions";
export declare class ActionFunction {
    private _id;
    private _name;
    private _args;
    private _actions;
    private _returns;
    constructor(data: IActionFunctionData);
    readonly id: string;
    readonly name: string;
    readonly args: {
        [key: string]: string;
    };
    readonly actions: IAction[];
    readonly returns: {
        [key: string]: string;
    };
    toCCML(): string;
}
export declare function buildArgSets(name: string, args: {
    [key: string]: string;
}): string;
