"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function minimizeXML(text, preserveComments) {
    if (preserveComments === void 0) { preserveComments = false; }
    var str = preserveComments ? text : text.replace(/\<![ \r\n\t]*(--([^\-]|[\r\n]|-[^\-])*--[ \r\n\t]*)\>/g, "");
    return str.replace(/>\s{0,}</g, "><");
}
exports.minimizeXML = minimizeXML;
//# sourceMappingURL=minimize-xml.js.map