import { CoreAction } from "./interfaces";
export declare enum ConferenceEvent {
    JOIN = 0,
    LEAVE = 1,
    MUTE = 2,
    UNMUTE = 3,
    HOLD = 4,
    RESUME = 5,
}
export declare const ConferenceOnEvent: any;
export declare class Conference extends CoreAction {
    private conferenceName;
    name: string;
    private _paramMap;
    private _holdAudio;
    constructor(conferenceName?: string, name?: string);
    readonly id: string;
    event: ConferenceEvent;
    holdAudio: string[];
    async: boolean;
    announceOnJoin: string;
    readonly announeOnJoin: string;
    maxParticipants: number;
    holdOnJoin: boolean;
    startOnJoin: boolean;
    holdOnExit: boolean;
    endOnExit: boolean;
    autoHold: boolean;
    joinMuted: boolean;
    muteOnKey: string;
    unmuteOnKey: string;
    exitOnKey: string;
    toCCML(): string;
}
