"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var interfaces_1 = require("./interfaces");
var ActionFunction_1 = require("../functions/ActionFunction");
var ActionFunction = (function (_super) {
    __extends(ActionFunction, _super);
    function ActionFunction(name) {
        if (name === void 0) { name = "action"; }
        var _this = _super.call(this, {
            type: "FUNCTION",
            name: name,
            comments: "",
            params: {
                id: interfaces_1.CoreAction.genId("function"),
            }
        }) || this;
        _this.name = name;
        _this._paramMap = {
            id: "id"
        };
        _this._args = {};
        _this.type = interfaces_1.Type.Function;
        return _this;
    }
    Object.defineProperty(ActionFunction.prototype, "id", {
        get: function () {
            return this.getParam("id");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ActionFunction.prototype, "args", {
        set: function (a) {
            this._args = a;
        },
        enumerable: true,
        configurable: true
    });
    ActionFunction.prototype.toCCML = function () {
        return ActionFunction_1.buildArgSets(this.name, this._args) + "<WAIT" + _super.prototype.toCCML.call(this, this._paramMap) + " nextActionId=\"___func_" + this.name + "___\"/>";
    };
    return ActionFunction;
}(interfaces_1.CoreAction));
exports.ActionFunction = ActionFunction;
//# sourceMappingURL=Function.js.map