"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var interfaces_1 = require("./interfaces");
var utils_1 = require("../utils");
var Goto = (function (_super) {
    __extends(Goto, _super);
    function Goto(label, name) {
        if (name === void 0) { name = "action"; }
        var _this = _super.call(this, {
            type: "GOTO",
            name: name,
            comments: "",
            params: {
                id: interfaces_1.CoreAction.genId("goto"),
                condition: "true",
                nextActionId: "__labelId_" + label + "__"
            }
        }) || this;
        _this.name = name;
        _this._paramMap = {
            id: "id",
            condition: "condition",
            nextActionId: "nextActionId"
        };
        _this.type = interfaces_1.Type.Goto;
        return _this;
    }
    Object.defineProperty(Goto.prototype, "id", {
        get: function () {
            return this.getParam("id");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Goto.prototype, "label", {
        get: function () {
            return this.getParam("nextActionId").slice(10, -2);
        },
        enumerable: true,
        configurable: true
    });
    Goto.prototype.toCCML = function () {
        var noVars = utils_1.VarParser.parseVars(this.getParam("nextActionId"));
        if (noVars[1].length > 0) {
            var ccml = noVars[1].concat("<SET varName=\"___temp_gotoLabel___\" value=\"" + this.escapeXml(noVars[0]) + "\" export=\"false\"/>").join("");
            this.setParam("nextActionId", "${___temp_gotoLabel___}");
            return ccml + "<WAIT" + _super.prototype.toCCML.call(this, this._paramMap) + "/>";
        }
        return "<WAIT" + _super.prototype.toCCML.call(this, this._paramMap) + "/>";
    };
    return Goto;
}(interfaces_1.CoreAction));
exports.Goto = Goto;
//# sourceMappingURL=Goto.js.map