import { IAction, CoreAction } from "./interfaces";
export declare const IfEvent: {
    OnThen: string;
    OnElse: string;
};
export declare class If extends CoreAction {
    private _condition;
    name: string;
    private _paramMap;
    constructor(_condition?: string, then?: IAction[], name?: string);
    readonly id: string;
    readonly condition: string;
    readonly then: IAction[];
    readonly orElse: IAction[];
    toCCML(): string;
}
