"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var interfaces_1 = require("./interfaces");
var Pause = (function (_super) {
    __extends(Pause, _super);
    function Pause(seconds, name) {
        if (seconds === void 0) { seconds = 5; }
        if (name === void 0) { name = "action"; }
        var _this = _super.call(this, {
            type: "PAUSE",
            name: name,
            comments: "",
            params: {
                id: interfaces_1.CoreAction.genId("pause"),
                seconds: String(+seconds || 5),
                waitForIdle: "false"
            }
        }) || this;
        _this.name = name;
        _this._paramMap = {
            id: "id",
            seconds: "seconds",
            waitForIdle: "waitForIdle"
        };
        _this.type = interfaces_1.Type.Pause;
        return _this;
    }
    Object.defineProperty(Pause.prototype, "id", {
        get: function () {
            return this.getParam("id");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Pause.prototype, "seconds", {
        get: function () {
            return +this.getParam("seconds");
        },
        enumerable: true,
        configurable: true
    });
    Pause.prototype.toCCML = function () {
        var paramStr = _super.prototype.toCCML.call(this, this._paramMap);
        return "<TIMER" + paramStr + "/>";
    };
    return Pause;
}(interfaces_1.CoreAction));
exports.Pause = Pause;
//# sourceMappingURL=Pause.js.map