import { CoreAction } from "./interfaces";
export declare const RecordMessageOnEvent: any;
export declare class RecordMessage extends CoreAction {
    action: "START" | "PLAY" | "DISCARD" | "SAVE";
    group: string;
    name: string;
    private _paramMap;
    constructor(action?: "START" | "PLAY" | "DISCARD" | "SAVE", group?: string, name?: string);
    readonly id: string;
    finishOnKey: string;
    playBeep: boolean;
    trimSilence: boolean;
    maxRecordingTime: number;
    timeout: number;
    toCCML(): string;
    private startCCML();
    private playCCML();
    private discardCCML();
    private saveCCML();
}
