"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var interfaces_1 = require("./interfaces");
var Reject = (function (_super) {
    __extends(Reject, _super);
    function Reject(reason, name) {
        if (reason === void 0) { reason = "BUSY"; }
        if (name === void 0) { name = "action"; }
        var _this = _super.call(this, {
            type: "REJECT",
            name: name,
            comments: "",
            params: {
                id: interfaces_1.CoreAction.genId("reject"),
                reason: String(reason).toUpperCase() === "DISCONNECTED" ? "DISCONNECTED" : "BUSY"
            }
        }) || this;
        _this.name = name;
        _this._paramMap = {
            id: "id",
            reason: "reason"
        };
        _this.type = interfaces_1.Type.Reject;
        return _this;
    }
    Object.defineProperty(Reject.prototype, "id", {
        get: function () {
            return this.getParam("id");
        },
        enumerable: true,
        configurable: true
    });
    Reject.prototype.toCCML = function () {
        if (this.getParam("reason") === "BUSY") {
            return [
                "<PLAYTONE freq1=\"480\" freq2=\"620\" duration=\"500\"/>",
                "<PLAYTONE freq1=\"0\" duration=\"500\"/>",
                "<PLAYTONE freq1=\"480\" freq2=\"620\" duration=\"500\"/>",
                "<PLAYTONE freq1=\"0\" duration=\"500\"/>",
                "<PLAYTONE freq1=\"480\" freq2=\"620\" duration=\"500\"/>",
                "<PLAYTONE freq1=\"0\" duration=\"500\"/>",
                "<PLAYTONE freq1=\"480\" freq2=\"620\" duration=\"500\"/>",
                "<PLAYTONE freq1=\"0\" duration=\"500\"/>",
                "<REJECT" + _super.prototype.toCCML.call(this, this._paramMap) + "/>"
            ].join("");
        }
        else {
            return [
                "<PLAYTONE freq1=\"985\" duration=\"280\"/>",
                "<PLAYTONE freq1=\"1428\" duration=\"280\"/>",
                "<PLAYTONE freq1=\"1776\" duration=\"280\"/>",
                "<REJECT" + _super.prototype.toCCML.call(this, this._paramMap) + "/>"
            ].join("");
        }
    };
    return Reject;
}(interfaces_1.CoreAction));
exports.Reject = Reject;
//# sourceMappingURL=Reject.js.map