import { CoreAction } from "./interfaces";
export declare class Say extends CoreAction {
    private text;
    name: string;
    private _paramMap;
    private _repeat;
    private _parseVars;
    private _injectCCML;
    constructor(text?: string, name?: string);
    readonly id: string;
    readonly ttsText: string;
    repeat: number;
    parseVars: boolean;
    stopOnKey: boolean;
    voice: string;
    language: string;
    gender: string;
    injectCCML: string;
    toCCML(filter?: "sets" | "says"): string;
}
