"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var interfaces_1 = require("./interfaces");
var SessionData = (function (_super) {
    __extends(SessionData, _super);
    function SessionData(sessionData, name) {
        if (name === void 0) { name = "sessionData"; }
        var _this = _super.call(this, {
            type: "SESSIONDATA",
            name: name,
            comments: "",
            params: {
                id: interfaces_1.CoreAction.genId("sessiondata"),
                varName: "___sessionData___",
                isExport: "false"
            }
        }) || this;
        _this.sessionData = sessionData;
        _this.name = name;
        _this._paramMap = {
            id: "id",
            varName: "varName",
            isExport: "export",
            evaluate: "evaluate"
        };
        _this.type = interfaces_1.Type.SessionData;
        return _this;
    }
    Object.defineProperty(SessionData.prototype, "id", {
        get: function () {
            return this.getParam("id");
        },
        enumerable: true,
        configurable: true
    });
    SessionData.prototype.toCCML = function () {
        return "<SET" + _super.prototype.toCCML.call(this, this._paramMap) + "><![CDATA[" + JSON.stringify(this.sessionData) + "]]></SET>";
    };
    return SessionData;
}(interfaces_1.CoreAction));
exports.SessionData = SessionData;
//# sourceMappingURL=SessionData.js.map